View Issue Details

IDProjectCategoryView StatusLast Update
0003750PluginsArclitepublic2019-11-04 16:08
ReporterlkintactAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionreopened 
Platformx86OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version 
Summary0003750: Нет возможности скопировать лог ошибок arclite-а при определенной настройке редактора
Description1. Создаю новый профиль Far.
2. Снимаю чекбокс "Options > Editor Settings > [ ] Allow editing files opened for writing".
3. Распаковываю какой-нибудь битый архив через Shift-F2. В процессе распаковывания arclite выдает окно "ArcLite / Data error" - нажимаю "[ Ignore All ]", а затем окно "Operation Log" - нажимаю "[ Show log ]" соот-но. Arclite открывает лог ошибок в просмоторщике.
4. Нажимаю F6 для переключения в редактор с целью копирования и последующего анализа лога. Far выдает окно:
╔═════════════════════════════════════════════════ 
Editor ═════════════════════════════════════════════════╗

║                                           Cannot open the file                                           
║
║                                 C:\Users\***\AppData\Local\Temp\9C1C.tmp                                 
║
║                                        Object is being opened in:                                        
║
║ File and archive manager (PID: 4352, C:\Users\***\Downloads\Far30b5503.x86.20191101\Far.exe)             
║
╟──────────────────────────────────────────────────────────────────────────────────────────────────────────╢

║                                The file is opened by the current process.                                
║
╟──────────────────────────────────────────────────────────────────────────────────────────────────────────╢

║           Процесс не может получить доступ к файлу, так как 
этот файл занят другим процессом.            ║
╟──────────────────────────────────────────────────────────────────────────────────────────────────────────╢

║                                           { Retry } [ Cancel ]                                           
║
╚══════════════════════════════════════════════════════════════════════════════════════════════════════════╝


Вроде бы поведение в соот-вии с настройками, но с другой стороны вроде бы и неправильно.
Понимаю, что можно скопировать лог с помощью граббера, но большой лог так скопировать не удастся.

Также, наверное, неправильно, что при выбранном английском языке интерфейса Far сообщает про невозможность получить доступ к файлу на русском.

Far 3.0.0.5503 x86,
Windows 10 Home 1803
TagsNo tags attached.

Activities

lkintact

2019-11-01 20:07

reporter   bugnote:0016642

arclite b 311

2useven10

2019-11-02 17:16

developer   bugnote:0016643

Копируйте в просмотре.
Shift+Click два раза в начале и конце текста, потом Ctrl+C

2useven10

2019-11-02 17:23

developer   bugnote:0016644

> Также, наверное, неправильно, что при выбранном английском языке интерфейса Far сообщает про невозможность получить доступ к файлу на русском.

Это сообщает не фар, а ваша русскоязычная система.

lkintact

2019-11-02 17:54

reporter   bugnote:0016645

Понял, благодарю за совет и объяснение.

DrKnS

2019-11-02 18:27

administrator   bugnote:0016646

Last edited: 2019-11-02 18:28

View 2 revisions

А надо ли арклайту держать этот файл открытым для записи, если операция уже завершилась?

2useven10

2019-11-03 05:25

developer   bugnote:0016647

не нужно.

2useven10

2019-11-03 05:32

developer   bugnote:0016648

там одна строка.
но у меня авторизация слетела. коммит не проходит.

2useven10

2019-11-03 11:14

developer   bugnote:0016649

b 312

lkintact

2019-11-04 16:08

reporter   bugnote:0016650

Попробовал с ArcLite b 312, Far 3.0.0.5503 x86.
При нажатии F6 (шаг 4 в моем первом сообщении) Фар вроде как переключается в режим редактирования лога, но при этом почему-то отображает не лог, а панели с индикатором [0+1] вверху-слева. Если после этого нажать любую клавишу, Фар отображает лог в режиме редактирования.

Issue History

Date Modified Username Field Change
2019-11-01 20:02 lkintact New Issue
2019-11-01 20:07 lkintact Note Added: 0016642
2019-11-02 17:16 2useven10 Note Added: 0016643
2019-11-02 17:23 2useven10 Note Added: 0016644
2019-11-02 17:54 lkintact Note Added: 0016645
2019-11-02 18:07 2useven10 Assigned To => 2useven10
2019-11-02 18:07 2useven10 Status new => closed
2019-11-02 18:07 2useven10 Resolution open => no change required
2019-11-02 18:27 DrKnS Note Added: 0016646
2019-11-02 18:28 DrKnS Note Edited: 0016646 View Revisions
2019-11-03 05:25 2useven10 Status closed => feedback
2019-11-03 05:25 2useven10 Resolution no change required => reopened
2019-11-03 05:25 2useven10 Note Added: 0016647
2019-11-03 05:32 2useven10 Note Added: 0016648
2019-11-03 11:03 2useven10 Category _Common => Arclite
2019-11-03 11:14 2useven10 Note Added: 0016649
2019-11-04 16:08 lkintact Note Added: 0016650
2019-11-04 16:08 lkintact Status feedback => assigned